wareck 2 years ago
commit
5bd159d86f
5 changed files with 53 additions and 0 deletions
  1. 3 0
      .gitmodules
  2. 7 0
      base.sh
  3. 21 0
      linux/build_bitaxe.sh
  4. 21 0
      linux/build_prisma.sh
  5. 1 0
      win32

+ 3 - 0
.gitmodules

@@ -0,0 +1,3 @@
+[submodule "win32"]
+	path = win32
+	url = http://gogserver.dnsalias.com:3000/wareck/win32_cgminer.git

+ 7 - 0
base.sh

@@ -0,0 +1,7 @@
+#!/bin/bash
+echo -e "\e[93mLinux compiler Builder v1.0:\e[0m"
+sudo apt-get update
+sudo apt-get upgrade -y
+sudo apt-get install build-essential autoconf automake libtool pkg-config libcurl4-openssl-dev libudev-dev \
+libjansson-dev libncurses5-dev libusb-1.0-0-dev zlib1g-dev screen -y
+echo "done"

+ 21 - 0
linux/build_bitaxe.sh

@@ -0,0 +1,21 @@
+#!/bin/bash
+echo "Cgminer Bitaxe builder:"
+echo ""
+export folder=$(pwd)
+cd ~
+if ! [ -d cgminer-bitaxe ]
+then
+git clone https://github.com/wareck/cgminer-gekko.git cgminer-bitaxe
+fi
+cd cgminer-bitaxe
+echo "Patch:"
+#sed -i -e "s/BlockErupter BROKEN DRIVER/BlockErupter Prisma/g" configure.ac
+#sed -i -e "s/int opt_bet_clk = 0;/int opt_bet_clk = 27;/g" cgminer.c
+#sed -i -e "s/.name = \"BET\"/.name = \"PRS\"/g" usbutils.c
+sed -i -e "s/\"gekko \"/\"Bitaxe \"/g" cgminer.c
+echo "Done"
+
+echo "Compilation"
+autoreconf -fi
+./configure --disable-shared --enable-gekko
+make -j4

+ 21 - 0
linux/build_prisma.sh

@@ -0,0 +1,21 @@
+#!/bin/bash
+echo "Cgminer BlockErupter Win32 builder:"
+echo ""
+export folder=$(pwd)
+cd ~
+if ! [ -d cgminer-blockerupter ]
+then
+git clone https://github.com/wareck/cgminer-gekko.git cgminer-blockerupter
+fi
+cd cgminer-blockerupter
+echo "Patch:"
+sed -i -e "s/BlockErupter BROKEN DRIVER/BlockErupter Prisma/g" configure.ac
+sed -i -e "s/int opt_bet_clk = 0;/int opt_bet_clk = 27;/g" cgminer.c
+sed -i -e "s/.name = \"BET\"/.name = \"PRS\"/g" usbutils.c
+sed -i -e "s/\"Blockerupter \"/\"Prisma Cube \"/g" cgminer.c
+echo "Done"
+
+echo "Compilation"
+autoreconf -fi
+./configure --disable-shared --enable-blockerupter
+make -j4

+ 1 - 0
win32

@@ -0,0 +1 @@
+Subproject commit 5e1ce45e02592110ccbe1ebd0cf34ae95d6bdcf1